%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define oname	gaupol

Name:           python-aeidon
Version:        0.19.2
Release:        %mkrel 15
Summary:        Python package for reading, writing and manipulating text-based subtitle files
License:        GPLv3+
Group:          Development/Python
URL:            http://download.gna.org/gaupol/doc/api/aeidon.html
Source0:        http://download.gna.org/%{name}/%{url_ver}/gaupol-%{version}.tar.gz
Patch0:		install-data-files-to-aeidon-dir.patch
BuildArch:	noarch
BuildRequires:  intltool
Provides:	aeidon = %{version}-%{release}
Recommends:	python-enchant >= 1.4.0
Recommends:	python-chardet
Recommends:	iso-codes

%description
aeidon is a Python package that provides classes and functions for dealing
with text-based subtitle files of many different formats. Functions exist
for reading and writing subtitle files as well as manipulating subtitle data,
i.e. positions (times or frames) and texts.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
python setup.py --without-gaupol build

%install
python setup.py --without-gaupol install \
	--root=%{buildroot} \
	--no-compile

%find_lang aeidon

%files -f aeidon.lang
%doc README.aeidon
%{_datadir}/aeidon/
%{python2_sitelib}/aeidon/
%{python2_sitelib}/aeidon-%{version}-py%{python2_version}.egg-info


%changelog
* Wed Apr 27 2016 tv <tv> 0.19.2-15.mga6
+ Revision: 1006921
- use new py macros

* Fri Feb 19 2016 umeabot <umeabot> 0.19.2-14.mga6
+ Revision: 969900
- Mageia 6 Mass Rebuild

* Sun Sep 20 2015 wally <wally> 0.19.2-13.mga6
+ Revision: 881946
- update python2 macros

* Wed Oct 15 2014 umeabot <umeabot> 0.19.2-12.mga5
+ Revision: 749888
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.19.2-11.mga5
+ Revision: 728023
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.19.2-10.mga5
+ Revision: 687877
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.19.2-8.mga4
+ Revision: 542926
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.19.2-7.mga4
+ Revision: 498085
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jul 01 2013 wally <wally> 0.19.2-6.mga4
+ Revision: 449184
- push to Core Release
- add suggests for iso-codes

* Sat Jun 29 2013 wally <wally> 0.19.2-5.1.mga4
+ Revision: 448408
- add patch to avoid conflicts with gaupol
  - install data files to /usr/share/aeidon
  - use aeidon name for translations
- clean .spec

* Sat Jun 29 2013 wally <wally> 0.19.2-5.mga4
+ Revision: 448367
- build only python2 version of aeidon
- rename source pkg to python-aeidon
- clean .spec

* Sun Jan 20 2013 barjac <barjac> 0.19.2-4.mga3
+ Revision: 390247
- update group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 wally <wally> 0.19.2-2.mga3
+ Revision: 268195
- fix python-aeidon url
- clean .spec

* Sun Nov 27 2011 wally <wally> 0.19.2-1.mga2
+ Revision: 172754
- new version 0.19.2

* Thu Sep 08 2011 wally <wally> 0.19.1-1.mga2
+ Revision: 141108
- new version 0.19.1

* Mon Jul 18 2011 wally <wally> 0.19-1.mga2
+ Revision: 125980
- new version 0.19
- enable speech recognition support

* Wed Jun 08 2011 wally <wally> 0.18-1.mga2
+ Revision: 101922
- new version 0.18

* Sun Apr 10 2011 wally <wally> 0.17.2-1.mga1
+ Revision: 82771
- new version 0.17.2

* Sun Jan 16 2011 wally <wally> 0.17.1-1.mga1
+ Revision: 20422
- imported package gaupol

